Bug 27409 - Update members/boraccount.tt for ACC2
Summary: Update members/boraccount.tt for ACC2
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: James O'Keeffe
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26926
  Show dependency treegraph
 
Reported: 2021-01-12 10:22 UTC by Martin Renvoize
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2 (2.91 KB, patch)
2021-01-20 01:57 UTC, James O'Keeffe
Details | Diff | Splinter Review
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2 (2.94 KB, patch)
2021-01-20 21:01 UTC, James O'Keeffe
Details | Diff | Splinter Review
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2 (2.99 KB, patch)
2021-01-21 00:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2 (3.05 KB, patch)
2021-01-21 10:19 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27409: Update members/boraccount.tt for ACC2 (3.02 KB, patch)
2021-01-21 14:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-01-12 10:22:34 UTC
Inputs of type="number" need updating to reflect ACC2 in intranet-tmpl/prog/en/modules/members/boraccount.tt
Comment 1 James O'Keeffe 2021-01-20 01:57:32 UTC
Created attachment 115397 [details] [review]
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2

This patch changes all instances of type="number" in inputs to adhere
with the ACC2 guidelines

Test plan:
Go through the boraccount.tt file and insure that no instances of
type="number" were missed.
Comment 2 Owen Leonard 2021-01-20 17:05:51 UTC
There is more to do when converting a "type='number'" input: If present, the "step," "max," and "min" attributes should be removed too. They are invalid if applied to a standard text input. Example errors from the w3c validator:

Error: Attribute step not allowed on element input at this point.
Error: Attribute min not allowed on element input at this point.
Comment 3 James O'Keeffe 2021-01-20 21:01:39 UTC
Created attachment 115460 [details] [review]
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2

This patch changes all instances of type="number" in inputs to adhere
with the ACC2 guidelines

In addition, all "min" and "step" attributes have been removed from
these inputs (Thanks Owen).

Test plan:
Go through the boraccount.tt file and insure that no instances of
type="number" were missed.
Comment 4 Owen Leonard 2021-01-21 00:20:41 UTC
Created attachment 115481 [details] [review]
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2

This patch changes all instances of type="number" in inputs to adhere
with the ACC2 guidelines

In addition, all "min" and "step" attributes have been removed from
these inputs (Thanks Owen).

Test plan:
Go through the boraccount.tt file and insure that no instances of
type="number" were missed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Martin Renvoize 2021-01-21 10:19:14 UTC
Created attachment 115520 [details] [review]
Bug 27409: Update intranet-tmpl/prog/en/modules/members/boraccount.tt for ACC2

This patch changes all instances of type="number" in inputs to adhere
with the ACC2 guidelines

In addition, all "min" and "step" attributes have been removed from
these inputs (Thanks Owen).

Test plan:
Go through the boraccount.tt file and insure that no instances of
type="number" were missed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-01-21 10:19:44 UTC
Excellent work again, Passing QA
Comment 7 Jonathan Druart 2021-01-21 14:55:01 UTC
Created attachment 115555 [details] [review]
Bug 27409: Update members/boraccount.tt for ACC2

This patch changes all instances of type="number" in inputs to adhere
with the ACC2 guidelines

In addition, all "min" and "step" attributes have been removed from
these inputs (Thanks Owen).

Test plan:
Go through the boraccount.tt file and insure that no instances of
type="number" were missed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Jonathan Druart 2021-01-21 15:25:27 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Martin Renvoize 2021-01-21 17:08:42 UTC
I tested this in Chrome both on the desktop and from a mobile (to test inputmode)

Both allowed me to input decimals as required.. but Owen has since highlighted that the regex in the pattern is a little strict so it sounds like this should work..

Leaving as a note here so I can revisit tomorrow to see if we need a follow-up.